> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devmob.app.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metrics

> Returns webhook metrics.



## OpenAPI

````yaml /api-reference/bko/openapi.json get /api/v1/bko/webhooks/metrics
openapi: 3.0.0
info:
  title: OABUS BKO API
  description: OABUS API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/bko/webhooks/metrics:
    get:
      tags:
        - Webhook
      summary: Get Metrics
      description: Returns webhook metrics.
      operationId: getWebhookMetrics
      parameters:
        - name: actionType
          required: false
          in: query
          schema:
            description: |-
              Parses a comma-separated string.

              Examples:
              - UPDATE_PAYMENT,PAYMENT_PAID,UPDATE_ORDER,UPDATE_TRANSFER
            example: UPDATE_PAYMENT,PAYMENT_PAID,UPDATE_ORDER,UPDATE_TRANSFER
            type: string
        - name: createdAt
          required: false
          in: query
          schema:
            description: 'Available operators: >, >=, <, <=, =.'
            example: '>=2024-01-01;<=2024-12-31'
            type: string
        - name: externalEventType
          required: false
          in: query
          schema:
            type: string
            description: External provider webhook event type
            example: charge.paid
        - name: externalProvider
          required: false
          in: query
          schema:
            type: string
            description: External provider name
            example: in_memory
        - name: fields
          required: false
          in: query
          description: >-
            Comma-separated list of fields to include in the response. Supports
            dot notation for nested projection (e.g.
            `id,name,user.email,trips.route.id`). Unknown fields are silently
            dropped.
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/GetWebhookMetrics200Response'
        '400':
          $ref: '#/components/responses/GetWebhookMetrics400Response'
        '401':
          $ref: '#/components/responses/GetWebhookMetrics401Response'
        '403':
          $ref: '#/components/responses/GetWebhookMetrics403Response'
        '500':
          $ref: '#/components/responses/GetWebhookMetrics500Response'
      security:
        - bearer: []
        - bearer: []
components:
  responses:
    GetWebhookMetrics200Response:
      content:
        application/json:
          schema:
            type: object
            properties:
              total:
                type: integer
                description: Total persisted webhook events
                example: 120
              received:
                type: integer
                description: Webhook events waiting for processing
                example: 2
              processed:
                type: integer
                description: Successfully processed webhook events
                example: 110
              failed:
                type: integer
                description: Failed webhook events
                example: 8
              idempotentDuplicates:
                type: integer
                description: Duplicate provider deliveries handled idempotently
                example: 5
            required:
              - total
              - received
              - processed
              - failed
              - idempotentDuplicates
            additionalProperties: false
            description: Webhook metrics
      description: OK
    GetWebhookMetrics400Response:
      content:
        application/json:
          example:
            errors:
              - message: required
                path: name
            message: Bad Request Error
            statusCode: 400
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 400
                type: number
              errors:
                items:
                  properties:
                    message:
                      type: string
                    path:
                      type: string
                  required:
                    - message
                    - path
                  type: object
                type: array
            required:
              - message
              - statusCode
            type: object
      description: Bad Request Error
    GetWebhookMetrics401Response:
      content:
        application/json:
          example:
            message: Missing or invalid access token
            statusCode: 401
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 401
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Unauthorized
    GetWebhookMetrics403Response:
      content:
        application/json:
          example:
            message: Insufficient permissions
            statusCode: 403
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 403
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Forbidden
    GetWebhookMetrics500Response:
      content:
        application/json:
          example:
            message: Internal Server Error
            statusCode: 500
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 500
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Internal Server Error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````